Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for Trino
RU
  • Начало работы
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Квоты и лимиты
  • Управление доступом
  • Правила тарификации
  • Метрики Yandex Monitoring
  • Аудитные логи Audit Trails
  • История изменений

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • Connector
  • HiveConnector
  • Metastore
  • HiveMetastore
  • Protocol
  • RestMetastore
  • Authorization
  • FileSystem
  • ExternalS3FileSystem
  • IcebergConnector
  • DeltaLakeConnector
  • PostgresqlConnector
  • PostgresqlConnection
  • OnPremise
  • ConnectionManager
  • ClickhouseConnector
  • ClickhouseConnection
  • OnPremise
  • ConnectionManager
  • TPCHConnector
  • TPCDSConnector
  • OracleConnector
  • OracleConnection
  • OnPremise
  • SQLServerConnector
  • SQLServerConnection
  • OnPremise
  • HudiConnector
  • MysqlConnector
  • MysqlConnection
  • OnPremise
  • ConnectionManager
  • GreenplumConnector
  • GreenplumConnection
  • OnPremise
  • ConnectionManager
  1. Справочник API
  2. REST (англ.)
  3. Catalog
  4. Get

Managed Service for Trino API, REST: Catalog.Get

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • Connector
  • HiveConnector
  • Metastore
  • HiveMetastore
  • Protocol
  • RestMetastore
  • Authorization
  • FileSystem
  • ExternalS3FileSystem
  • IcebergConnector
  • DeltaLakeConnector
  • PostgresqlConnector
  • PostgresqlConnection
  • OnPremise
  • ConnectionManager
  • ClickhouseConnector
  • ClickhouseConnection
  • OnPremise
  • ConnectionManager
  • TPCHConnector
  • TPCDSConnector
  • OracleConnector
  • OracleConnection
  • OnPremise
  • SQLServerConnector
  • SQLServerConnection
  • OnPremise
  • HudiConnector
  • MysqlConnector
  • MysqlConnection
  • OnPremise
  • ConnectionManager
  • GreenplumConnector
  • GreenplumConnection
  • OnPremise
  • ConnectionManager

Returns the specified Trino Catalog resource.

HTTP requestHTTP request

GET https://trino.api.yandexcloud.kz/managed-trino/v1/clusters/{clusterId}/catalogs/{catalogId}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Trino Cluster resource which contains the requested catalog.

The maximum string length in characters is 50.

catalogId

string

Required field. ID of the Trino Catalog resource.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "name": "string",
  "connector": {
    // Includes only one of the fields `hive`, `iceberg`, `deltaLake`, `postgresql`, `clickhouse`, `tpch`, `tpcds`, `oracle`, `sqlserver`, `hudi`, `mysql`, `greenplum`
    "hive": {
      "metastore": {
        // Includes only one of the fields `hive`, `rest`
        "hive": {
          // Includes only one of the fields `uri`, `managedClusterId`
          "uri": "string",
          "managedClusterId": "string",
          // end of the list of possible fields
          "protocol": {
            // Includes only one of the fields `thrift`, `rest`
            "thrift": "object",
            "rest": "object"
            // end of the list of possible fields
          }
        },
        "rest": {
          "uri": "string",
          "authorization": {
            // Includes only one of the fields `none`
            "none": "object"
            // end of the list of possible fields
          }
        }
        // end of the list of possible fields
      },
      "filesystem": {
        // Includes only one of the fields `s3`, `externalS3`
        "s3": "object",
        "externalS3": {
          "awsAccessKey": "string",
          "awsSecretKey": "string",
          "awsEndpoint": "string",
          "awsRegion": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "iceberg": {
      "metastore": {
        // Includes only one of the fields `hive`, `rest`
        "hive": {
          // Includes only one of the fields `uri`, `managedClusterId`
          "uri": "string",
          "managedClusterId": "string",
          // end of the list of possible fields
          "protocol": {
            // Includes only one of the fields `thrift`, `rest`
            "thrift": "object",
            "rest": "object"
            // end of the list of possible fields
          }
        },
        "rest": {
          "uri": "string",
          "authorization": {
            // Includes only one of the fields `none`
            "none": "object"
            // end of the list of possible fields
          }
        }
        // end of the list of possible fields
      },
      "filesystem": {
        // Includes only one of the fields `s3`, `externalS3`
        "s3": "object",
        "externalS3": {
          "awsAccessKey": "string",
          "awsSecretKey": "string",
          "awsEndpoint": "string",
          "awsRegion": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "deltaLake": {
      "metastore": {
        // Includes only one of the fields `hive`, `rest`
        "hive": {
          // Includes only one of the fields `uri`, `managedClusterId`
          "uri": "string",
          "managedClusterId": "string",
          // end of the list of possible fields
          "protocol": {
            // Includes only one of the fields `thrift`, `rest`
            "thrift": "object",
            "rest": "object"
            // end of the list of possible fields
          }
        },
        "rest": {
          "uri": "string",
          "authorization": {
            // Includes only one of the fields `none`
            "none": "object"
            // end of the list of possible fields
          }
        }
        // end of the list of possible fields
      },
      "filesystem": {
        // Includes only one of the fields `s3`, `externalS3`
        "s3": "object",
        "externalS3": {
          "awsAccessKey": "string",
          "awsSecretKey": "string",
          "awsEndpoint": "string",
          "awsRegion": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "postgresql": {
      "connection": {
        // Includes only one of the fields `onPremise`, `connectionManager`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        },
        "connectionManager": {
          "connectionId": "string",
          "database": "string",
          "connectionProperties": "object"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "clickhouse": {
      "connection": {
        // Includes only one of the fields `onPremise`, `connectionManager`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        },
        "connectionManager": {
          "connectionId": "string",
          "database": "string",
          "connectionProperties": "object"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "tpch": {
      "additionalProperties": "object"
    },
    "tpcds": {
      "additionalProperties": "object"
    },
    "oracle": {
      "connection": {
        // Includes only one of the fields `onPremise`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "sqlserver": {
      "connection": {
        // Includes only one of the fields `onPremise`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "hudi": {
      "metastore": {
        // Includes only one of the fields `hive`, `rest`
        "hive": {
          // Includes only one of the fields `uri`, `managedClusterId`
          "uri": "string",
          "managedClusterId": "string",
          // end of the list of possible fields
          "protocol": {
            // Includes only one of the fields `thrift`, `rest`
            "thrift": "object",
            "rest": "object"
            // end of the list of possible fields
          }
        },
        "rest": {
          "uri": "string",
          "authorization": {
            // Includes only one of the fields `none`
            "none": "object"
            // end of the list of possible fields
          }
        }
        // end of the list of possible fields
      },
      "filesystem": {
        // Includes only one of the fields `s3`, `externalS3`
        "s3": "object",
        "externalS3": {
          "awsAccessKey": "string",
          "awsSecretKey": "string",
          "awsEndpoint": "string",
          "awsRegion": "string"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "mysql": {
      "connection": {
        // Includes only one of the fields `onPremise`, `connectionManager`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        },
        "connectionManager": {
          "connectionId": "string",
          "connectionProperties": "object"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    },
    "greenplum": {
      "connection": {
        // Includes only one of the fields `onPremise`, `connectionManager`
        "onPremise": {
          "connectionUrl": "string",
          "userName": "string",
          "password": "string"
        },
        "connectionManager": {
          "connectionId": "string",
          "database": "string",
          "connectionProperties": "object"
        }
        // end of the list of possible fields
      },
      "additionalProperties": "object"
    }
    // end of the list of possible fields
  },
  "description": "string",
  "labels": "object"
}

Catalog is a logical Trino catalog backed by a specific connector.

Field

Description

id

string

ID of the catalog.

name

string

Name of the catalog.

connector

Connector

Connector backing this catalog.

description

string

Description of the catalog.

labels

object (map<string, string>)

Labels associated with the catalog.

ConnectorConnector

Connector configuration. Exactly one connector type must be specified.

Field

Description

hive

HiveConnector

Hive connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

iceberg

IcebergConnector

Iceberg connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

deltaLake

DeltaLakeConnector

Delta Lake connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

postgresql

PostgresqlConnector

PostgreSQL connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

clickhouse

ClickhouseConnector

ClickHouse connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

tpch

TPCHConnector

TPC-H connector for synthetic benchmarking.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

tpcds

TPCDSConnector

TPC-DS connector for synthetic benchmarking.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

oracle

OracleConnector

Oracle connector configuration for connecting to Oracle Database instances.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

sqlserver

SQLServerConnector

SQLServer connector configuration for connecting to SQLServer Database instances.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

hudi

HudiConnector

Hudi connector configuration.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

mysql

MysqlConnector

MySQL connector configuration for connecting to MySQL Database instances.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

greenplum

GreenplumConnector

Greenplum connector configuration for connecting to Greenplum or Cloudberry Database instances.

Includes only one of the fields hive, iceberg, deltaLake, postgresql, clickhouse, tpch, tpcds, oracle, sqlserver, hudi, mysql, greenplum.

HiveConnectorHiveConnector

Field

Description

metastore

Metastore

Required field. Metastore configuration.

filesystem

FileSystem

Required field. File system configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

MetastoreMetastore

Metastore configuration.

Field

Description

hive

HiveMetastore

Apache Hive Metastore.

Includes only one of the fields hive, rest.

rest

RestMetastore

Iceberg REST Catalog compatible Metastore.

Includes only one of the fields hive, rest.

HiveMetastoreHiveMetastore

Configuration of Hive's metastore type.

Field

Description

uri

string

URI of the Hive Metastore.

Includes only one of the fields uri, managedClusterId.

managedClusterId

string

ID of the Managed Hive Metastore cluster.

Includes only one of the fields uri, managedClusterId.

protocol

Protocol

Hive metastore client protocol. If null, thrift protocol will be used.

ProtocolProtocol

Hive Metastore client protocol configuration.

Field

Description

thrift

object

Thrift client protocol.

Includes only one of the fields thrift, rest.

rest

object

Iceberg REST client protocol.

Includes only one of the fields thrift, rest.

RestMetastoreRestMetastore

Configuration of Iceberg REST Catalog compatible metastore type.

Field

Description

uri

string

URI of the REST Catalog metastore.

authorization

Authorization

Authorization properties.

AuthorizationAuthorization

Field

Description

none

object

Disabled authorization

Includes only one of the fields none.

FileSystemFileSystem

Configuration of file system used by a connector.

Field

Description

s3

object

Yandex Cloud S3 filesystem.

Includes only one of the fields s3, externalS3.

externalS3

ExternalS3FileSystem

External S3 filesystem.

Includes only one of the fields s3, externalS3.

ExternalS3FileSystemExternalS3FileSystem

Describes External S3 compatible file system.

Field

Description

awsAccessKey

string

Required field. AWS access key.

awsSecretKey

string

Required field. AWS secret key.

awsEndpoint

string

Required field. AWS endpoint.

Value must match the regular expression ^https?://.+$.

awsRegion

string

Required field. AWS region.

IcebergConnectorIcebergConnector

Field

Description

metastore

Metastore

Required field. Metastore configuration.

filesystem

FileSystem

Required field. File system configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

DeltaLakeConnectorDeltaLakeConnector

Field

Description

metastore

Metastore

Required field. Metastore configuration.

filesystem

FileSystem

Required field. File system configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

PostgresqlConnectorPostgresqlConnector

Field

Description

connection

PostgresqlConnection

Connection configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

PostgresqlConnectionPostgresqlConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise, connectionManager.

connectionManager

ConnectionManager

Connection configured using Yandex Cloud Connection Manager.

Includes only one of the fields onPremise, connectionManager.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the Postgresql.

Value must match the regular expression ^jdbc:postgresql://(?:.+:\d+)/(?:.*)$.

userName

string

Required field. Name of the Postgresql user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the Postgresql user.

The string length in characters must be 0-128.

ConnectionManagerConnectionManager

Field

Description

connectionId

string

Required field. Connection ID.

The string length in characters must be 1-50.

database

string

Required field. Database.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

connectionProperties

object (map<string, string>)

Additional connection properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-zA-Z]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_]*. No more than 256 per resource.

ClickhouseConnectorClickhouseConnector

Field

Description

connection

ClickhouseConnection

Connection configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

ClickhouseConnectionClickhouseConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise, connectionManager.

connectionManager

ConnectionManager

Connection configured using Yandex Cloud Connection Manager.

Includes only one of the fields onPremise, connectionManager.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the Clickhouse.

Value must match the regular expression ^jdbc:clickhouse://(?:.+:\d+)/(?:.*)$.

userName

string

Required field. Name of the Clickhouse user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the Clickhouse user.

The string length in characters must be 0-128.

ConnectionManagerConnectionManager

Field

Description

connectionId

string

Required field. Connection ID.

The string length in characters must be 1-50.

database

string

Required field. Database.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

connectionProperties

object (map<string, string>)

Additional connection properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-zA-Z_]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_]*. No more than 256 per resource.

TPCHConnectorTPCHConnector

Field

Description

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

TPCDSConnectorTPCDSConnector

Field

Description

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

OracleConnectorOracleConnector

Field

Description

connection

OracleConnection

Connection configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

OracleConnectionOracleConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the Oracle.

Value must match the regular expression ^jdbc:oracle:(?s:.*)$.

userName

string

Required field. Name of the Oracle user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the Oracle user.

The string length in characters must be 0-128.

SQLServerConnectorSQLServerConnector

Field

Description

connection

SQLServerConnection

Connection configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

SQLServerConnectionSQLServerConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the SQLServer.

Value must match the regular expression ^jdbc:sqlserver:(?s:.*)$.

userName

string

Required field. Name of the SQLServer user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the SQLServer user.

The string length in characters must be 0-128.

HudiConnectorHudiConnector

Field

Description

metastore

Metastore

Required field. Metastore configuration.

filesystem

FileSystem

Required field. File system configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

MysqlConnectorMysqlConnector

Field

Description

connection

MysqlConnection

Connection configuration.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

MysqlConnectionMysqlConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise, connectionManager.

connectionManager

ConnectionManager

Connection configured using Yandex Cloud Connection Manager.

Includes only one of the fields onPremise, connectionManager.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the MySQL.

Value must match the regular expression ^jdbc:mysql://(?:.+:\d+)(?:/?.*)$.

userName

string

Required field. Name of the MySQL user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the MySQL user.

The string length in characters must be 0-128.

ConnectionManagerConnectionManager

Field

Description

connectionId

string

Required field. Connection ID.

The string length in characters must be 1-50.

connectionProperties

object (map<string, string>)

Additional connection properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-zA-Z_]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_]*. No more than 256 per resource.

GreenplumConnectorGreenplumConnector

Field

Description

connection

GreenplumConnection

Connection configuration

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

GreenplumConnectionGreenplumConnection

Field

Description

onPremise

OnPremise

Connection configured manually.

Includes only one of the fields onPremise, connectionManager.

connectionManager

ConnectionManager

Connection configured using Yandex Cloud Connection Manager.

Includes only one of the fields onPremise, connectionManager.

OnPremiseOnPremise

Field

Description

connectionUrl

string

Required field. Connection to the Greenplum/Cloudberry.

Value must match the regular expression ^jdbc:postgresql://(?:.+:\d+)/(?:.*)$.

userName

string

Required field. Name of the Greenplum/Cloudberry user.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

password

string

Required field. Password of the Greenplum/Cloudberry user.

The string length in characters must be 0-128.

ConnectionManagerConnectionManager

Field

Description

connectionId

string

Required field. Connection ID.

The string length in characters must be 1-50.

database

string

Required field. Database.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

connectionProperties

object (map<string, string>)

Additional connection properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-zA-Z]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_]*. No more than 256 per resource.

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»